> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shadeform.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /instances/{id}/info

> Get details for the specified, non deleted, instance in the url.



## OpenAPI

````yaml get /instances/{id}/info
openapi: 3.0.0
info:
  description: >-
    Shadeform is a single API and platform for deploying and managing cloud
    GPUs.
  version: 1.0.0
  title: Shadeform API
  contact:
    name: Shadeform
    email: support@shadeform.ai
    url: https://www.shadeform.ai
servers:
  - description: Shadeform Production
    url: https://api.shadeform.ai/v1
security:
  - ApiKeyAuth: []
paths:
  /instances/{id}/info:
    parameters:
      - in: path
        name: id
        required: true
        example: d290f1ee-6c54-4b01-90e6-d701748f0851
        schema:
          type: string
          minimum: 1
        description: The instance id
    get:
      summary: /instances/{id}/info
      description: Get details for the specified, non deleted, instance in the url.
      operationId: InstancesInfo
      responses:
        '200':
          description: Return an instance object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstanceInfoResponse'
components:
  schemas:
    InstanceInfoResponse:
      type: object
      required:
        - id
        - cloud
        - region
        - shade_instance_type
        - cloud_instance_type
        - cloud_assigned_id
        - shade_cloud
        - name
        - configuration
        - ip
        - ssh_user
        - ssh_port
        - status
        - cost_estimate
        - created_at
        - deleted_at
      properties:
        id:
          $ref: '#/components/schemas/Id'
        cloud:
          $ref: '#/components/schemas/Cloud'
        region:
          $ref: '#/components/schemas/Region'
        shade_instance_type:
          $ref: '#/components/schemas/ShadeInstanceType'
        cloud_instance_type:
          $ref: '#/components/schemas/CloudInstanceType'
        cloud_assigned_id:
          $ref: '#/components/schemas/CloudAssignedId'
        shade_cloud:
          $ref: '#/components/schemas/ShadeCloud'
        name:
          $ref: '#/components/schemas/Name'
        configuration:
          allOf:
            - $ref: '#/components/schemas/InstanceConfiguration'
            - type: object
              required:
                - os
              properties:
                os:
                  type: string
                  example: ubuntu_22_shade_os
                  description: The operating system of the instance.
        ip:
          $ref: '#/components/schemas/Ip'
        ssh_user:
          $ref: '#/components/schemas/SshUser'
        ssh_port:
          $ref: '#/components/schemas/SshPort'
        status:
          $ref: '#/components/schemas/Status'
        status_details:
          $ref: '#/components/schemas/StatusDetails'
        cost_estimate:
          $ref: '#/components/schemas/CostEstimate'
        hourly_price:
          $ref: '#/components/schemas/HourlyPrice'
        volume_ids:
          type: array
          description: >-
            List of volume IDs to be mounted. Currently only supports 1 volume
            at a time.
          items:
            $ref: '#/components/schemas/VolumeID'
        ssh_key_id:
          $ref: '#/components/schemas/SshKeyID'
        launch_configuration:
          $ref: '#/components/schemas/LaunchConfiguration'
        auto_delete:
          $ref: '#/components/schemas/AutoDelete'
        alert:
          $ref: '#/components/schemas/Alert'
        volume_mount:
          $ref: '#/components/schemas/VolumeMount'
        tags:
          type: array
          description: Add custom, searchable tags to instances.
          items:
            $ref: '#/components/schemas/Tag'
        envs:
          type: array
          description: >-
            List of environment variable name and values to automatically add to
            the instance
          items:
            $ref: '#/components/schemas/Env'
        port_mappings:
          type: array
          description: >-
            List of port mappings on an instance that a Cloud Provider might
            have automatically set up.
          items:
            $ref: '#/components/schemas/InstancePortMappings'
        active_at:
          $ref: '#/components/schemas/ActiveAt'
        created_at:
          $ref: '#/components/schemas/CreatedAt'
        deleted_at:
          $ref: '#/components/schemas/DeletedAt'
        boot_time:
          $ref: '#/components/schemas/BootTime'
    Id:
      type: string
      format: uuid
      example: d290f1ee-6c54-4b01-90e6-d701748f0851
      description: >-
        The unique identifier for the instance. Used in the instances for the
        /instances/{id}/info and /instances/{id}/delete APIs.
    Cloud:
      type: string
      example: hyperstack
      description: >-
        Specifies the underlying cloud provider. See this
        [explanation](/getting-started/concepts#cloud-cloud-provider) for more
        details.
    Region:
      type: string
      example: canada-1
      description: Specifies the region.
    ShadeInstanceType:
      type: string
      example: A6000
      description: >-
        The Shadeform standardized instance type. See this
        [explanation](/getting-started/concepts#shade-instance-type-and-cloud-instance-type)
        for more details.
    CloudInstanceType:
      type: string
      example: gpu_1x_a6000
      description: >-
        The instance type for the underlying cloud provider. See this
        [explanation](/getting-started/concepts#shade-instance-type-and-cloud-instance-type)
        for more details.
    CloudAssignedId:
      type: string
      example: 13b057d7-e266-4869-985f-760fe75a78b3
      description: >-
        The unique identifier of the instance issued by the underlying cloud
        provider.
    ShadeCloud:
      type: boolean
      example: true
      description: >-
        Specifies if the instance is launched in [Shade
        Cloud](/getting-started/concepts#shade-cloud) or in a linked cloud
        account.
    Name:
      type: string
      example: cool-gpu-server
      description: The name of the instance
    InstanceConfiguration:
      type: object
      required:
        - memory_in_gb
        - storage_in_gb
        - vcpus
        - num_gpus
        - gpu_type
        - interconnect
        - os
        - vram_per_gpu_in_gb
        - gpu_manufacturer
      properties:
        memory_in_gb:
          type: integer
          example: 12
          description: >-
            The amount of memory for the instance in gigabytes. Note that this
            is not VRAM which is determined by GPU type and the number of GPUs.
        storage_in_gb:
          type: integer
          example: 256
          description: >-
            The amount of storage for the instance. If this storage is too low
            for the instance type, please email support@shadeform.ai as the
            storage may be adjustable.
        vcpus:
          type: integer
          example: 6
          description: The number of vCPUs for the instance.
        num_gpus:
          type: integer
          example: 1
          description: The number of GPUs for the instance.
        gpu_type:
          type: string
          example: A100
          description: The type of GPU for the instance.
        interconnect:
          type: string
          example: pcie
          description: The type of GPU interconnect.
        nvlink:
          type: boolean
          example: true
          description: If the instance has NVLink
        vram_per_gpu_in_gb:
          type: integer
          example: 48
          description: The video memory per GPU for the instance in gigabytes.
        gpu_manufacturer:
          type: string
          example: nvidia
          description: The manufacturer of the gpu
    Ip:
      type: string
      example: 1.0.0.1
      description: >-
        The public IP address of the instance. In select cases, it may also be
        the DNS.
    SshUser:
      type: string
      example: shadeform
      description: The SSH user used to SSH into the instance.
    SshPort:
      type: integer
      example: 22
      description: >-
        The SSH port of the instance. In most cases, this will be port 22 but
        for some clouds, this may be a different port.
    Status:
      type: string
      example: active
      enum:
        - creating
        - pending_provider
        - pending
        - active
        - error
        - deleting
        - deleted
      description: The status of the instance.
    StatusDetails:
      type: string
      example: downloading
      description: Additional context for the status
    CostEstimate:
      type: string
      example: '103.4'
      description: >-
        The cost incurred by the instance. This only the cost via Shadeform. If
        the instance is deployed in your own cloud account, then all billing is
        through your cloud provider.
    HourlyPrice:
      type: integer
      example: 210
      description: The hourly price of the instance in cents.
    VolumeID:
      type: string
      example: 78a0dd5a-dbb1-4568-b55c-5e7e0a8b0c40
      description: The ID of the storage volume.
    SshKeyID:
      type: string
      example: 78a0dd5a-dbb1-4568-b55c-5e7e0a8b0c40
      description: The ID of the SSH Key.
    LaunchConfiguration:
      type: object
      required:
        - type
      description: Defines automatic actions after the instance becomes active.
      properties:
        type:
          type: string
          example: docker
          enum:
            - docker
            - script
          description: >-
            Specifies the type of launch configuration. See [Launch
            Configuration](/getting-started/concepts#launch-configuration) for
            more details.
        docker_configuration:
          $ref: '#/components/schemas/DockerConfiguration'
        script_configuration:
          $ref: '#/components/schemas/ScriptConfiguration'
    AutoDelete:
      type: object
      description: Set a date or spend threshold to automatically delete the instance
      properties:
        date_threshold:
          $ref: '#/components/schemas/DateThreshold'
        spend_threshold:
          $ref: '#/components/schemas/SpendThreshold'
    Alert:
      type: object
      description: Set a date or spend threshold to receive an email alert
      properties:
        date_threshold:
          $ref: '#/components/schemas/DateThreshold'
        spend_threshold:
          $ref: '#/components/schemas/SpendThreshold'
    VolumeMount:
      type: object
      description: Settings for mounting volumes onto file systems
      properties:
        auto:
          type: boolean
          description: >-
            Set to true to automatically mount unmounted disks to a default
            filesystem.
    Tag:
      type: string
      example: tag1
      description: Tag for searching and grouping
    Env:
      type: object
      required:
        - name
        - value
      description: Environment variables for the container image.
      properties:
        name:
          type: string
          example: HUGGING_FACE_HUB_TOKEN
          description: Name of the environment variable
        value:
          type: string
          example: hugging_face_api_token
          description: Value of the environment variable
    InstancePortMappings:
      type: object
      description: >-
        List of port mappings on an instance that a Cloud Provider might have
        automatically set up.
      properties:
        internal_port:
          type: integer
          example: 8000
        external_port:
          type: integer
          example: 80
    ActiveAt:
      type: string
      format: date-time
      example: '2016-08-29T09:12:33.001Z'
      description: The timestamp of when the instance was active in UTC.
    CreatedAt:
      type: string
      format: date-time
      example: '2016-08-29T09:12:33.001Z'
      description: The timestamp of when the instance was created in UTC.
    DeletedAt:
      type: string
      format: date-time
      example: '2016-08-29T09:12:33.001Z'
      description: The timestamp of when the instance was deleted in UTC.
    BootTime:
      type: object
      properties:
        min_boot_in_sec:
          type: integer
          example: 180
          description: boot time minimum estimate
        max_boot_in_sec:
          type: integer
          example: 300
          description: boot time maximum estimate
    DockerConfiguration:
      type: object
      required:
        - image
      description: >-
        May only be used if launch_configuration.type is 'docker'. Use
        docker_configuration to automatically pull and run a docker image. See
        this [tutorial](/guides/dockercontainers) for examples.
      properties:
        image:
          type: string
          example: vllm/vllm-openai:latest
          description: >-
            Specifies the docker image to be pulled and run on the instance at
            startup.
        args:
          type: string
          example: '--model mistralai/Mistral-7B-v0.1'
          description: Specifies the container arguments passed into the image at runtime.
        shared_memory_in_gb:
          type: integer
          example: 8
          description: >-
            Describes the amount of shared memory allocated for the container.
            Equivalent to using the --shm-size flag in the docker cli. If
            shared_memory_in_gb is not specified, then the container will use
            the host namespace which is the equivalent of --ipc=host.
        envs:
          type: array
          description: >-
            List of environment variable name-value pairs that will be passed to
            the docker container.
          items:
            $ref: '#/components/schemas/Env'
        port_mappings:
          type: array
          description: >-
            List of port mappings between the host instance and the docker
            container. Equivalent of -p flag for docker run command.
          items:
            $ref: '#/components/schemas/PortMappings'
        volume_mounts:
          type: array
          description: >-
            List of volume mounts between the host instance and the docker
            container. Equivalent of -v flag for docker run command.
          items:
            $ref: '#/components/schemas/VolumeMounts'
        registry_credentials:
          $ref: '#/components/schemas/RegistryCredentials'
    ScriptConfiguration:
      type: object
      required:
        - base64_script
      description: >-
        May only be used if launch_configuration.type is 'script'. Configures a
        startup script to be run automatically after the instance is active. See
        this [tutorial]/guides/startupscript) for examples.
      properties:
        base64_script:
          type: string
          description: A startup script that is base64 encoded.
          example: >-
            IyEvYmluL2Jhc2gKCiMgRW5kbGVzcyBsb29wCndoaWxlIHRydWUKZG8KICAgICMgRmV0Y2ggYSBjYXQgZmFjdCB3aXRoIGEgbWF4aW11bSBsZW5ndGggb2YgMTQwIGNoYXJhY3RlcnMKICAgIGN1cmwgLS1uby1wcm9ncmVzcy1tZXRlciBodHRwczovL2NhdGZhY3QubmluamEvZmFjdD9tYXhfbGVuZ3RoPTE0MAoKICAgICMgUHJpbnQgYSBuZXdsaW5lIGZvciByZWFkYWJpbGl0eQogICAgZWNobwoKICAgICMgU2xlZXAgZm9yIDMgc2Vjb25kcyBiZWZvcmUgdGhlIG5leHQgaXRlcmF0aW9uCiAgICBzbGVlcCAzCmRvbmUKCgo=
    DateThreshold:
      type: string
      example: '2006-01-02T15:04:05-07:00'
      description: RFC3339 date string
    SpendThreshold:
      type: string
      example: '3.14'
      description: Valid decimal representation of a dollar amount
    PortMappings:
      type: object
      required:
        - host_port
        - container_port
      description: Maps the public instance port to a port on the container.
      properties:
        host_port:
          type: integer
          example: 80
          description: Port of the host.
        container_port:
          type: integer
          example: 8000
          description: Port of the container.
    VolumeMounts:
      type: object
      required:
        - host_path
        - container_path
      description: Mounts the host volume to a container file path.
      properties:
        host_path:
          type: string
          example: ~/.cache/huggingface
          description: Filepath of the host.
        container_path:
          type: string
          example: /root/.cache/huggingface
          description: Filepath of the container.
    RegistryCredentials:
      type: object
      properties:
        username:
          type: string
          example: username
          description: The username for the docker registry.
        password:
          type: string
          example: password
          description: The password for the docker registry.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````